/* *****************************************************************************
;                                                                             *
;    Filename:                     				                              *
;    Date:                                         	                          *
;    File Version: 001                                                        *
;                                                                             *
;    Author:   Jason Lopez                                                    *
;    Company:  AtomSoft                                                       *
;                                                                             *
;***************************************************************************** */

#include <p18f24k20.h>
#include <delays.h>
#include <string.h>

#pragma config FOSC = HS,FCMEN = OFF,PWRT = OFF,BOREN = OFF,WDTEN = OFF
#pragma config MCLRE = OFF,XINST = OFF,DEBUG = ON

/************************************
Prototypes
*************************************/
void main(void);
#define C2STAT (CM2CON0&0x40)
#define CPT TRISAbits.TRISA2
#define CPPin LATAbits.LATA2
#define LED LATBbits.LATB5
/************************************
Main
*************************************/
void main(void){
	ANSEL = 0xFF;

	TRISA = TRISB = TRISC = 0x00;	//All Outputs
	LATA = LATB = LATC = 0x00;		//All Low
    TRISA = 0xFF;
    PIE2 = 0;

    CCP2CON = 0xB;
    CM2CON0 = 0x8;
    T1CON = 0;
    CPT = 0;
    CPPin = 0;

    TMR1L = 0;
    TMR1H = 0;
    CCPR2L = 0;
    CCPR2H = 0;
    CM2CON0 = 0x88;

	while(1){
        T1CON |= 1;
        CPT = 1;
        if(C2STAT)
        {
            T1CON=PIR2=0;
            LED = 1;
            CPT = 0;
            CPPin = 0;

            TMR1L = 0;
            TMR1H = 0;
            Delay10KTCYx(80);
        }
        else
        {
            LED = 0;
        }
	}
}